Bug 138504 - No sound with snd-intel8x0 module
No sound with snd-intel8x0 module
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2004-11-09 13:18 EST by Kevin J. Miller
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:58:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin J. Miller 2004-11-09 13:18:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20041005

Description of problem:
After attempting to detect the sound card, I get the following popup:

    The following audio device was detected:

    Vendor: Intel
    Model:  Corp. 8280BA/BAM AC'97 Audio
    Module: snd-intel8x0

I then get no sound when I try to play the demo.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667smp

How reproducible:
Always

Steps to Reproduce:
1. Run Soundcard Detection
2. Press "Play Test Sound"
3.
    

Actual Results:  No sound

Expected Results:  Sound

Additional info:

Sound works fine under Fedora Core 1 (I was never able to install
Fedora Core 2 on this machine due to SCSI driver problems).  When I
run the Soundcard Detection program, I get:

    The following audio device was detected:

    Vendor: Intel Corp.
    Model:  8280BA/BAM AC'97 Audio
    Module: i810_audio

This is a dual boot machine with both FC1 and FC3 installed, and I
have checked that sound still works under FC1.
Comment 1 Matt Britt 2004-11-18 18:37:36 EST
I have a similar problem with the snd-intel8x0 module, but it seems to
only occur after a few ACPI suspend/resume cycles.  Rebooting usually
fixes it.
Comment 2 bednar 2004-11-22 14:10:15 EST
I have similar problem and have no solution, look at:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136082
Comment 3 Kevin J. Miller 2004-11-22 16:13:03 EST
Problem is solved.

I checked out bug #136082, and followed some of the procedures there
(lspci and running system-config-soundcard from a terminal), and
noticed that I didn't get a error when playing the wave file like
bednar did.  I brought up the volume control GUI and found that the
headphone volume was 0, and the headphone was muted.  I do not have
speakers on this computer, and always use a headphone for sound.  I
changed volume settings and now system-config-soundcard works.

I propose that the headphone volume should not be zeroed or muted when
the system is initially installed.
Comment 4 Matt Britt 2004-11-24 14:56:41 EST
I found that my specific problem is twofold:  One is that snd-intel8x0
simply isn't ACPI-safe (so writing a script to unload/reload the sound
modules on suspend/resume fixes that), the other is that snd-intel8x0
and snd-intel8x0m (winmodem driver) seem to get into a race condition
for the device sometimes, so unloading the modem module eliminates
that problem.
Comment 5 Dmitry Butskoy 2004-12-27 11:36:35 EST
  Yes, headphone is zero & muted on the initial installed system.
Run "alsamixer" from cmdline, increase headphone level and unmute it
(`M')...
  
  Kevin, this bug is owned by you -- please, set "high" severity. It
is real bug problem for desktop newbiers etc. -- therefore, it must be
fixed as soon as possible.
Comment 6 Dave Jones 2005-07-15 13:48:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dmitry Butskoy 2005-09-16 07:40:55 EDT
May be it is not a kernel issue. IMHO, it will be more robast if
system-config-soundcard does unmuting and volume up itself...
Comment 8 Dave Jones 2005-12-07 02:58:22 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.